## pktools 2.5.2+20140505

=== debian/changelog ===
pktools (2.5.2+20140505-1) unstable; urgency=low

  * Initial release (closes: #732531).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 27 Mar 2014 15:57:15 +0100
