=== debian/control ===
Source: pktools
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 9)
 , autotools-dev
 , libgdal-dev (>=1.10.0-0~)
 , libgsl0-dev
 , libboost-dev
 , libarmadillo-dev
 , libfann-dev
 , liblas-c-dev
 , libsvm-dev
 , libnlopt-dev
Standards-Version: 3.9.5
Homepage: http://www.nongnu.org/pktools/html/index.html
Vcs-Browser:  http://anonscm.debian.org/gitweb/?p=pkg-grass/pktools.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/pktools.git

Package: pktools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: gdal-bin
Description: GDAL add-on tools to perform useful raster processing
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help. They include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.

Package: pktools-dev
Architecture: any
Section: libdevel
Depends: pktools (= ${binary:Version})
 , ${misc:Depends}
 , libgdal-dev
 , libarmadillo-dev
 , liblas-c-dev
 , libgsl0-dev
Description: GDAL add-on tools to perform useful raster processing
 A collection of programs to perform operations, mostly on raster images. 
 It heavily relies on the Geospatial Data Abstraction Library (GDAL) and OGR. 
 The programs are similar to the GDAL tools (gdalinfo, gdal_translate, 
 gdal_merge,...) and some of the functionalities provided in pktools 
 already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the files needed to develop a software that
 uses the pktools libraries.
