=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --buildsystem autoconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-fann --enable-las --enable-nlopt

override_dh_clean:
	dh_clean
	find $(CURDIR) -name '*.o' -delete
	find $(CURDIR) -name '*.so*' -delete
	find $(CURDIR) -name '*.a' -delete
