## pktools 2.5.3

=== debian/changelog ===
pktools (2.5.3-1) unstable; urgency=medium

  [ Ross Gammon ]
  * Team upload.
  * Ignore quilt files and unapply patches after build

  [ Bas Couwenberg ]
  * New upstream release.
    (closes: #757584)
  * Update copyright file.
  * Remove latest_libLAS_support.patch, included upstream.
  * Remove bandwidth-typo.patch, applied upstream.
  * Add a patch by Christian Kastner from libfann fixing the va_list issue on
    arm*. Thanks Gilles Filippini for pointing out the patch.
    (closes: #757979)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 15 Aug 2014 19:29:24 +0200

pktools (2.5.2+20140505-2) unstable; urgency=medium

  [ Ross Gammon ]
  * Team upload.
  * Support for hfd5 transition to v1.8.13.
    Thanks to Gilles Filippini (Closes: #756707)

  [ Bas Couwenberg ]
  * Handle common watch file issues, don't match pktools-latest.tar.gz.
  * Fix duplicate short description.
  * Add patch to fix 'bandwidth' typo.
  * Use dh-autoreconf for retooling.
    (closes: #756653)
  * Add patch to set subdir-objects automake option for forward compatibility.
  * Add gbp.conf to use pristine-tar by default.

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 09 Aug 2014 11:22:46 +0200
