=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: pktools
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper (>= 9)
- , autotools-dev
- , libgdal-dev (>=1.10.0-0~)
- , libgsl0-dev
- , libboost-dev
- , libarmadillo-dev
- , libfann-dev
- , liblas-c-dev
- , libsvm-dev
- , libnlopt-dev
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               autotools-dev,
+               libgdal-dev (>=1.10.0-0~),
+               libgsl0-dev,
+               libboost-dev,
+               libarmadillo-dev,
+               libfann-dev,
+               liblas-c-dev,
+               libsvm-dev,
+               libnlopt-dev
 Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pktools.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/pktools.git
 Homepage: http://www.nongnu.org/pktools/html/index.html
-Vcs-Browser:  http://anonscm.debian.org/gitweb/?p=pkg-grass/pktools.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/pktools.git
 
 Package: pktools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Enhances: gdal-bin
 Description: GDAL add-on tools to perform useful raster processing
  Pktools is a collection of programs to perform operations, mostly on 
@@ -38,13 +40,13 @@
 Package: pktools-dev
 Architecture: any
 Section: libdevel
-Depends: pktools (= ${binary:Version})
- , ${misc:Depends}
- , libgdal-dev
- , libarmadillo-dev
- , liblas-c-dev
- , libgsl0-dev
-Description: GDAL add-on tools to perform useful raster processing
+Depends: pktools (= ${binary:Version}),
+         ${misc:Depends},
+         libgdal-dev,
+         libarmadillo-dev,
+         liblas-c-dev,
+         libgsl0-dev
+Description: GDAL add-on tools to perform useful raster processing - development files
  A collection of programs to perform operations, mostly on raster images. 
  It heavily relies on the Geospatial Data Abstraction Library (GDAL) and OGR. 
  The programs are similar to the GDAL tools (gdalinfo, gdal_translate, 
@@ -59,3 +61,4 @@
  .
  This package contains the files needed to develop a software that
  uses the pktools libraries.
+
