=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
+	export DEB_CXXFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
+endif
+
 %:
-	dh $@  --buildsystem autoconf
+	dh $@  --buildsystem autoconf --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-fann --enable-las --enable-nlopt
