## pktools 2.6.4

=== debian/changelog ===
pktools (2.6.4-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.
  * Debian maintainer has opted out of a library package name transition;
    revert our changes, and add a Conflicts/Replaces/Provides back against
    the v5 package names.  This delta can be dropped after the wily release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Aug 2015 19:34:13 -0700

pktools (2.6.4-2) unstable; urgency=medium

  * Update symbols for other architectures except mips*,
    the experimental buildds for mips* aren't active at the moment.
    (closes: #791240)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 12:37:31 +0200

pktools (2.6.4-2~exp1) experimental; urgency=medium

  * Update symbols for amd64 with GCC 5.
  * Require at least liblas-c-dev 1.8.0-4~ for GCC 5 changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 20:06:03 +0200

pktools (2.6.4-1ubuntu2) wily; urgency=medium

  * No-change rebuild against libgdal1i

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 23 Aug 2015 01:23:38 +0000

pktools (2.6.4-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 01:42:45 +0000

pktools (2.6.4-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jul 2015 21:55:01 +0200

pktools (2.6.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patch applied upstream, refresh remaining patch.
  * Add manpage for pkreclass.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jul 2015 01:09:13 +0200

pktools (2.6.3-2) unstable; urgency=medium

  * Add patch to fix build failure with GCC 5.
    (closes: #778065)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jun 2015 12:56:08 +0200

pktools (2.6.3-1) unstable; urgency=medium

  * Set the date embedded in man pages to the changelog date for
    reproducible builds.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 22:38:18 +0200

pktools (2.6.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years in copyright file.
  * Update man pages for upstream changes.
  * Drop deprecated-noinst.patch, applied upstream.
  * Add man pages for pkstat & pkkalman.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Mar 2015 16:37:16 +0100

pktools (2.6.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update man pages with changes in upstream docs.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Add patch to not install deprecated utilities.
  * Update my email to @debian.org address.
  * Update copyright file, move licenses to stand-alone paragraphs.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Mar 2015 23:42:52 +0100

pktools (2.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove libbase package, library no longer installed.
  * Add man page for pkann, pkascii2img, pkascii2ogr, pkcomposite, pkcreatect,
    pkcrop, pkdiff, pkdsm2shadow, pkdumpimg, pkdumpogr, pkegcs, pkextract,
    pkfillnodata, pkfilter, pkfilterascii, pkfilterdem, pkfsann, pkfssvm,
    pkgetmask, pkinfo, pklas2img, pkoptsvm, pkpolygonize, pkregann, pksetmask,
    pksieve, pkstatascii, pkstatogr & pksvm.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 12 Dec 2014 14:58:42 +0100

pktools (2.5.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Drop fann-va_list.patch, applied upstream.
  * Update copyright file, add autotools files.
  * Split binaries and libraries into separate packages.
  * Override dh_install to list missing files.
  * Update symbols for amd64.
  * Add upstream metadata.
  * Include config.h & pktools.pc in pktools-dev.
  * Remove .la files before install.
  * Bump Standards-Version to 3.9.6, changes: symbols.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 14 Nov 2014 23:06:42 +0100
