=== debian/control ===
Source: pktools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autotools-dev,
               libgdal-dev (>= 1.10.0-0~),
               libgsl0-dev,
               libboost-dev,
               libarmadillo-dev,
               libfann-dev,
               liblas-c-dev (>= 1.8.0-4~),
               libsvm-dev,
               libnlopt-dev,
               pkg-kde-tools,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/pktools.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/pktools.git
Homepage: http://pktools.nongnu.org/

Package: pktools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: gdal-bin
Description: GDAL add-on tools to perform useful raster processing
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help. They include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.

Package: pktools-dev
Architecture: any
Section: libdevel
Depends: libalgorithms1 (= ${binary:Version}),
         libfileclasses1 (= ${binary:Version}),
         libimageclasses1 (= ${binary:Version}),
         liblasclasses1 (= ${binary:Version}),
         ${misc:Depends},
         libgdal-dev,
         libarmadillo-dev,
         liblas-c-dev,
         libgsl0-dev
Description: GDAL add-on tools to perform useful raster processing - development files
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the files needed to develop a software that
 uses the pktools libraries.

Package: libalgorithms1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: pktools (<< 2.5.4)
Replaces: libalgorithms1v5, pktools (<< 2.5.4)
Conflicts: libalgorithms1v5
Provides: libalgorithms1v5
Description: GDAL add-on tools to perform useful raster processing - libalgorithms
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the libalgorithms shared library.

Package: libfileclasses1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: pktools (<< 2.5.4)
Replaces: libfileclasses1v5, pktools (<< 2.5.4)
Conflicts: libfileclasses1v5
Provides: libfileclasses1v5
Description: GDAL add-on tools to perform useful raster processing - libfileClasses
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the libfileClasses shared library.

Package: libimageclasses1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: pktools (<< 2.5.4)
Replaces: libimageclasses1v5, pktools (<< 2.5.4)
Conflicts: libimageclasses1v5
Provides: libimageclasses1v5
Description: GDAL add-on tools to perform useful raster processing - libimageClasses
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the libimageClasses shared library.

Package: liblasclasses1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: pktools (<< 2.5.4)
Replaces: liblasclasses1v5, pktools (<< 2.5.4)
Conflicts: liblasclasses1v5
Provides: liblasclasses1v5
Description: GDAL add-on tools to perform useful raster processing - liblasClasses
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the liblasClasses shared library.
