## pktools 2.6.6

=== debian/changelog ===
pktools (2.6.6-1) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jan 2016 16:13:35 +0100

pktools (2.6.6-1~exp2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jan 2016 13:47:35 +0100

pktools (2.6.6-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update manpages for upstream changes.
  * Drop caught-typo.patch, applied upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Jan 2016 12:20:27 +0100

pktools (2.6.5-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Dec 2015 11:11:30 +0100

pktools (2.6.5-1) unstable; urgency=medium

  * Update symbols for other architectures (except mips*).
  * Add patch to fix 'caught' typo.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Dec 2015 01:28:44 +0100

pktools (2.6.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update libgsl-dev dependency for pktools-dev too.
  * Drop gdal-2.0.patch, applied upstream.
  * Update symbols for amd64.
  * Add manpage for pkstatprofile.
  * Update manpages for upstream changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Dec 2015 01:40:30 +0100

pktools (2.6.4-4) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Add libgsl-dev as preferred build dependency,
    keep libgsl0-dev as alternative for backports.
  * Add patch to support GDAL 2.0.
    (closes: #802631)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Nov 2015 20:14:34 +0100

pktools (2.6.4-3) unstable; urgency=medium

  * Update symbols for mips*, hppa & x32.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 23:18:43 +0200
