=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pktools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -9,7 +8,7 @@
                dh-autoreconf,
                autotools-dev,
                libgdal-dev (>= 1.10.0-0~),
-               libgsl0-dev,
+               libgsl-dev | libgsl0-dev,
                libboost-dev,
                libarmadillo-dev,
                libfann-dev,
@@ -22,8 +21,8 @@
                docbook-xml,
                xsltproc
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/pktools.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/pktools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pktools.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pktools.git
 Homepage: http://pktools.nongnu.org/
 
 Package: pktools
@@ -55,7 +54,7 @@
          libgdal-dev,
          libarmadillo-dev,
          liblas-c-dev,
-         libgsl0-dev
+         libgsl-dev | libgsl0-dev
 Description: GDAL add-on tools to perform useful raster processing - development files
  Pktools is a collection of programs to perform operations, mostly on 
  raster geolocated  images. It  heavily relies  on the  Geospatial Data 
@@ -79,9 +78,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: pktools (<< 2.5.4)
-Replaces: libalgorithms1v5, pktools (<< 2.5.4)
-Conflicts: libalgorithms1v5
-Provides: libalgorithms1v5
+Replaces: pktools (<< 2.5.4)
 Description: GDAL add-on tools to perform useful raster processing - libalgorithms
  Pktools is a collection of programs to perform operations, mostly on 
  raster geolocated  images. It  heavily relies  on the  Geospatial Data 
@@ -104,9 +101,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: pktools (<< 2.5.4)
-Replaces: libfileclasses1v5, pktools (<< 2.5.4)
-Conflicts: libfileclasses1v5
-Provides: libfileclasses1v5
+Replaces: pktools (<< 2.5.4)
 Description: GDAL add-on tools to perform useful raster processing - libfileClasses
  Pktools is a collection of programs to perform operations, mostly on 
  raster geolocated  images. It  heavily relies  on the  Geospatial Data 
@@ -129,9 +124,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: pktools (<< 2.5.4)
-Replaces: libimageclasses1v5, pktools (<< 2.5.4)
-Conflicts: libimageclasses1v5
-Provides: libimageclasses1v5
+Replaces: pktools (<< 2.5.4)
 Description: GDAL add-on tools to perform useful raster processing - libimageClasses
  Pktools is a collection of programs to perform operations, mostly on 
  raster geolocated  images. It  heavily relies  on the  Geospatial Data 
@@ -154,9 +147,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: pktools (<< 2.5.4)
-Replaces: liblasclasses1v5, pktools (<< 2.5.4)
-Conflicts: liblasclasses1v5
-Provides: liblasclasses1v5
+Replaces: pktools (<< 2.5.4)
 Description: GDAL add-on tools to perform useful raster processing - liblasClasses
  Pktools is a collection of programs to perform operations, mostly on 
  raster geolocated  images. It  heavily relies  on the  Geospatial Data
